#****************************************************************************
#**  File     : /hook/units/UAB2204/UAB2204_script.lua
#**
#**  Author(s): EbolaSoup, Resin Smoker, Optimus Prime, Vissroid
#**
#**  Summary  : Aeon Heavy POP-Up Flak Tower Script
#**
#**  Copyright © 2010 4DC_V0.8  All rights reserved.
#****************************************************************************

local AStructureUnit = import('/lua/aeonunits.lua').AStructureUnit
AStructureUnit = import('/mods/4DC_V0.8/lua/CustomAbilities/4D_SDR/4D_SDR.lua').SDR( AStructureUnit )
local AAATemporalFizzWeapon = import('/lua/aeonweapons.lua').AAATemporalFizzWeapon

UAB2204 = Class(AStructureUnit) {
    Weapons = {
        AAFizz = Class(AAATemporalFizzWeapon) {
            ChargeEffectMuzzles = {'Turret_Right_Muzzle', 'Turret_Left_Muzzle'},
           
            PlayFxRackSalvoChargeSequence = function(self)
                AAATemporalFizzWeapon.PlayFxRackSalvoChargeSequence(self)
                CreateAttachedEmitter( self.unit, 'Turret_Right_Muzzle', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
                CreateAttachedEmitter( self.unit, 'Turret_Left_Muzzle', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
            end,
        },
    },
}
TypeClass = UAB2204